# Uses of Enum Class
javafx.scene.transform.MatrixType

Packages that use MatrixType
Package
Description
javafx.scene.transform
Provides the set of convenient classes to perform rotating, scaling, shearing, and translation transformations for `Affine` objects.

## Uses of MatrixType in javafx.scene.transform

Methods in javafx.scene.transform that return MatrixType
Modifier and Type
Method
Description
`static MatrixType`
MatrixType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MatrixType[]`
MatrixType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.transform with parameters of type MatrixType
Modifier and Type
Method
Description
`void`
Affine.`append(double[] matrix, MatrixType type, int offset)`
Appends the transform specified by the array to this instance.
`double[]`
Transform.`column(MatrixType type, int column)`
Returns an array containing a column of the transformation matrix.
`double[]`
Transform.`column(MatrixType type, int column, double[] array)`
Returns an array containing a column of the transformation matrix.
`double`
Transform.`getElement(MatrixType type, int row, int column)`
Gets the specified element of the transformation matrix.
`void`
Affine.`prepend(double[] matrix, MatrixType type, int offset)`
Prepends the transform specified by the array to this instance.
`double[]`
Transform.`row(MatrixType type, int row)`
Returns an array containing a row of the transformation matrix.
`double[]`
Transform.`row(MatrixType type, int row, double[] array)`
Returns an array containing a row of the transformation matrix.
`void`
Affine.`setElement(MatrixType type, int row, int column, double value)`
Sets the specified element of the transformation matrix.
`void`
Affine.`setToTransform(double[] matrix, MatrixType type, int offset)`
Sets the values of this instance to the transformation matrix specified by an array.
`double[]`
Transform.`toArray(MatrixType type)`
Returns an array containing the flattened transformation matrix.
`double[]`
Transform.`toArray(MatrixType type, double[] array)`
Returns an array containing the flattened transformation matrix.
Constructors in javafx.scene.transform with parameters of type MatrixType
Modifier
Constructor
Description
``
`Affine(double[] matrix, MatrixType type, int offset)`
Creates a new instance of `Affine` with a transformation matrix specified by an array.